## SeahorseCommands

SeahorseCommands

## Synopsis

                        SeahorseCommandsPrivate;
                        SeahorseCommands;
    void                seahorse_commands_show_properties   (SeahorseCommands *self,
                                                             SeahorseObject *obj);
    SeahorseOperation * seahorse_commands_delete_objects    (SeahorseCommands *self,
                                                             GList *obj);
    SeahorseView *      seahorse_commands_get_view          (SeahorseCommands *self);
    GtkWindow *         seahorse_commands_get_window        (SeahorseCommands *self);
    GtkActionGroup *    seahorse_commands_get_command_actions
                                                            (SeahorseCommands *self);
    const char *        seahorse_commands_get_ui_definition (SeahorseCommands *self);

## Description

## Details

### SeahorseCommandsPrivate

    typedef struct _SeahorseCommandsPrivate SeahorseCommandsPrivate;

### SeahorseCommands

    typedef struct {
    	GObject parent_instance;
    	SeahorseCommandsPrivate *pv;
    } SeahorseCommands;

### seahorse_commands_show_properties ()

    void                seahorse_commands_show_properties   (SeahorseCommands *self,
                                                             SeahorseObject *obj);

`self` : |
`obj` : |

### seahorse_commands_delete_objects ()

    SeahorseOperation * seahorse_commands_delete_objects    (SeahorseCommands *self,
                                                             GList *obj);

`self` : |
`obj` : |
Returns : |

### seahorse_commands_get_view ()

    SeahorseView *      seahorse_commands_get_view          (SeahorseCommands *self);

`self` : |
Returns : |

### seahorse_commands_get_window ()

    GtkWindow *         seahorse_commands_get_window        (SeahorseCommands *self);

`self` : |
Returns : |

### seahorse_commands_get_command_actions ()

    GtkActionGroup *    seahorse_commands_get_command_actions
                                                            (SeahorseCommands *self);

`self` : |
Returns : |

### seahorse_commands_get_ui_definition ()

    const char *        seahorse_commands_get_ui_definition (SeahorseCommands *self);

`self` : |
Returns : |